com.jscape.inet.http

## Class HttpAdapter

- java.lang.Object
- - com.jscape.inet.http.HttpAdapter

- All Implemented Interfaces:
    HttpListener, java.util.EventListener

      public class HttpAdapter
      extends java.lang.Object
      implements HttpListener

  Implements methods for capturing events sourced from Http class. This class is intended to provide vertical compatibility with HttpListener interface. Typicaly your application will use this class instead of HttpListener interface to capture the following events :
  HttpConnectedEvent
  HttpDisconnectedEvent
  HttpProgressEvent

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpAdapter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `connected(HttpConnectedEvent event)` Invoked when connection to HTTP server is established.
    `void` | `disconnected(HttpDisconnectedEvent event)` Invoked when connection to HTTP server is released.
    `void` | `progress(HttpProgressEvent event)` Invoked to mark progress of a download operation.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpAdapter

          public HttpAdapter()

  - ### Method Detail

    - #### connected

          public void connected(HttpConnectedEvent event)

      Invoked when connection to HTTP server is established.
      Specified by:
        `connected` in interface `HttpListener`
      Parameters:
        `event` - a `HttpConnectedEvent`
      See Also:
        `HttpConnectedEvent`

    - #### disconnected

          public void disconnected(HttpDisconnectedEvent event)

      Invoked when connection to HTTP server is released.
      Specified by:
        `disconnected` in interface `HttpListener`
      Parameters:
        `event` - a `HttpDisconnectedEvent`
      See Also:
        `HttpDisconnectedEvent`

    - #### progress

          public void progress(HttpProgressEvent event)

      Invoked to mark progress of a download operation.
      Specified by:
        `progress` in interface `HttpListener`
      Parameters:
        `event` - a `HttpProgressEvent`
      See Also:
        `HttpProgressEvent`

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved